#particle tracking histogram for Section 9.4
N=10000; T=4.0; M=50; v=3; D=0.25
dt=T/M
sigma=(D*dt)^0.5
t=seq(0,T,T/M)
S <- array(0,c(N,length(t))) 
for (i in 1:N){
  S[i,1]=0
  Z=rnorm(t,mean=0,sd=sigma)
  for (j in 1:M){
     S[i,j+1] = S[i,j]+v*dt+Z[j]}}
#plot theoretical normal density and particle histogram
mu=v*T
sigma=sqrt(D*T)
hist(S[,M+1],freq=FALSE,xlab="x",main=NULL,,breaks=25)
x = seq(mu-4*sigma, mu+4*sigma, 0.1*sigma)
density=dnorm(x, mean = mu, sd = sigma)
lines(x,density,type="l")












