#Repeated particle tracking simulation for Example 9.5
R=10 #number of simulations
Tmax=seq(1,R,1)
Pmax=seq(1,R,1)
Tsafe=seq(1,R,1)
N=10000; T=4.0; M=100;
dt=T/M
sigma=0.5*dt^0.5
dP=1000.0*(0.5*3.1415927)^0.5/N
t=seq(0,T,T/M)
P=t
for (r in 1:R){
for (j in 1:M){P[j]=0}
for (i in 1:N){
  S=0
  Z=rnorm(t,mean=0,sd=sigma)
  P[j]=0
  for (j in 1:M){
    v=3
    if (abs(S-10)<10){v=8-0.5*abs(S-10)}
    S= S+v*dt+Z[j]
    if (9.5<S && S<10.5) {P[j]=P[j]+dP}}}
#compute max conc and time to safe conc
Tmax[r]=0; Tsafe[r]=0;
for (j in 1:M){
  if (P[j] > Pmax[r]){Pmax[r]=P[j]; Tmax[r]=t[j]}
  if (P[j] > 50.0) {Tsafe[r]=t[j]+dt}}}
write(Pmax,file="Pmax.txt",ncolumns=1)
write(Tmax,file="Tmax.txt",ncolumns=1)
write(Tsafe,file="Tsafe.txt",ncolumns=1)


