#particle tracking simulation for Example 9.6
N=10000; T=224; M=100; A=.0147; alpha=1.1; v=0.12
dt=T/M
t=seq(0,T,T/M)
S <- array(0,c(N,length(t))) 
for (i in 1:N){
  S[i,0]=0
  U=runif(t)
  Z=(A/U)^(1/alpha)
  Z=Z-(A^(1/alpha))*alpha/(alpha-1)
  for (j in 1:M){
    S[i,j+1] = S[i,j]+v*dt+dt^(1/alpha)*Z[j]}}
#plot(t,S[1,],type="l",ylab="x")
#for (i in 2:N){lines(t,S[i,],type="l")}
mean(S[,M])
sd(S[,M])
hist(S[,M],freq=FALSE,xlab="meters",main=NULL, xlim = c(-20, 100),breaks=50000)








