#Repeated particle tracking simulation for Example 9.6
R=30 #number of simulations
Tmax=seq(1,R,1)
Pmax=seq(1,R,1)
Tsafe=seq(1,R,1)
N=1000; T=4000; M=100; A=.0131; alpha=1.1; v=0.12; Psafe=2
dt=T/M
dP=540/N
t=seq(0,T,T/M)
S <- array(0,c(N,length(t))) 
P=t
for (r in 1:R){
for (j in 1:length(P)){P[j]=0}
for (i in 1:N){
  S[i,0]=0
  U=runif(t)
  Z=(A/U)^(1/alpha)
  Z=Z-(A^(1/alpha))*alpha/(alpha-1)
  for (j in 1:M){
    S[i,j+1] = S[i,j]+v*dt+dt^(1/alpha)*Z[j]
    if (15<S[i,j+1] && S[i,j+1]<25) {P[j]=P[j]+dP/10}}}
#compute max conc and time to safe conc
Tmax[r]=0; Pmax[r]=0; Tsafe[r]=0;
for (j in 1:M){
  if (P[j] > Pmax[r]){Pmax[r]=P[j]; Tmax[r]=t[j]}
  if (P[j] > Psafe) {Tsafe[r]=t[j]+dt}}}
#output MOP for each trial
write(Pmax,file="PmaxMADE.txt",ncolumns=1)
write(Tmax,file="TmaxMADE.txt",ncolumns=1)
write(Tsafe,file="TsafeMADE.txt",ncolumns=1)
