# Example 6.2: The whale problem 
#
f1<-function(x1,x2){z=.05*x1*(1 - x1/150000) - alpha*x1*x2
return(z)}
f2<-function(x1,x2){z=.08*x2*(1 - x2/400000) - alpha*x1*x2
return(z)}
#
n=500
x1=seq(0,n,1)
x2=seq(0,n,1)
t=seq(0,n,1)
x1[1] = 5000; x2[1] = 70000; t[1]=0: alpha = 10^(-7);
#
for (i in 1:n){  
  x1[i + 1] = x1[i] + f1(x1[i], x2[i]); 
  x2[i + 1] = x2[i] + f2(x1[i], x2[i]);
  t[i+1]=t[i]+1;
  print(c(t[i], x1[i], x2[i]),digits=3)}
#
plot(t,x1)
# plot(t,x2)
# plot(x1,x2)


