# Example 8.6 ARM problem
# read data (change path for your computer)
cm1=scan("C:/Users/mcubed/Documents/STT490/R/cm1.txt")
t=seq(1,37,1)
# plot data
par(mfcol=c(2,2))
plot(t,cm1)
# perform regression 
out=lm(cm1 ~t)
summary(out)
# plot fitted line against data
fit=fitted.values(out)
plot(t,cm1)
lines(t,fit)
# compute and plot residuals
e=residuals(out)
plot(t,e)
# plot autocorrelation function for residuals
require(graphics)
acf(e)
# forecast cm1 for May 1990
coefficients(out)[1]+coefficients(out)[2]*48
