# Example 8.6 ARM problem
# read data (change path for your computer)
cm1=scan("C:/Users/mcubed/Documents/STT490/R/cm1.txt")
n=length(cm1)
t=seq(1,n,1)
# plot data
par(mfcol=c(2,2))
plot(t,cm1)
# lag data
lag1=cm1 
lag1[1]=NA
for (i in 2:n){lag1[i]=cm1[i-1]}
# regress cm1 against t and lag1 
out1=lm(cm1 ~ t+lag1)
summary(out1)
# plot residuals from this regression
e1=residuals(out1)
t1=seq(2,n,1)
plot(t1,e1)
# plot autocovariance function for these residuals
require(graphics)
acf(e1)
# forecast cm1 for May 1990
nf=11
cm1f=seq(1,n+nf,1)
t2=seq(1,n+nf,1)
for (i in 1:n){cm1f[i]=cm1[i]}
for (i in n+1:nf){cm1f[i]=1.60+0.0330*t2[i]+0.698*cm1f[i-1]}
cm1f
plot(t,cm1)
fit2=1.60+0.0330*t2+0.698*cm1f
lines(t2,fit2)


