#particle tracking simulation for Example 9.5
N=1000; T=2.0; M=50;
dt=T/M
sigma=0.5*dt^0.5
t=seq(0,T,T/M)
S <- array(0,c(N,length(t))) 
for (i in 1:N){
  S[i,0]=0
  Z=rnorm(t,mean=0,sd=sigma)
  for (j in 1:M){
    v=3
    if (abs(S[i,j]-10)<10){v=8-0.5*abs(S[i,j]-10)}
    S[i,j+1] = S[i,j]+v*dt+Z[j]}}
pathvar=t
for (j in 1:length(t)){pathvar[j]=var(S[,j])}
plot(t,pathvar)
for (i in 1:N){
  S[i,0]=0
  Z=rnorm(t,mean=0,sd=sigma)
  for (j in 1:M){
    v=5.5
    S[i,j+1] = S[i,j]+v*dt+Z[j]}}
pathvar3=t
for (j in 1:length(t)){pathvar3[j]=var(S[,j])}
lines(t,pathvar3)
write(pathvar,file="pathvar.txt",ncolumns=1)
write(pathvar3,file="pathvar3.txt",ncolumns=1)










