#particle tracking simulation for Example 9.5
N=1000; T=4.0; M=100;
dt=T/M
sigma=0.5*dt^0.5
dP=1000.0*(0.5*3.1415927)^0.5/N
t=seq(0,T,T/M)
P=t
for (j in 1:M){P[j]=0}
for (i in 1:N){
  S=0
  Z=rnorm(t,mean=0,sd=sigma)
  for (j in 1:M){
    v=3
    if (abs(S-10)<10){v=8-0.5*abs(S-10)}
    S= S+v*dt+Z[j]
    if (9.5<S && S<10.5) {P[j]=P[j]+dP}}}
#plot concentration over time
m=t
for (j in 0:length(t)){m[j]=50} 
plot(t,P,type="l")
lines(t,m,lty="dashed")
#compute max conc and time to safe conc
Tmax=0; Pmax=0; Tsafe=0;
for (j in 1:M){
  if (P[j] > Pmax){Pmax=P[j]; Tmax=t[j]}
  if (P[j] > 50.0) {Tsafe=t[j]+dt}}




